scala.tools.nsc.typechecker.ContextErrors

# NamesDefaultsErrorsGen

#### object NamesDefaultsErrorsGen

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NamesDefaultsErrorsGen
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def AmbiguousReferenceInNamesDefaultError(arg: Global.Tree, name: Global.Name)(implicit context: Analyzer.Context): Global.Tree

7. #### def DoubleParamNamesDefaultError(arg: Global.Tree, name: Global.Name, pos: Int, otherName: Option[Global.Name])(implicit context: Analyzer.Context): Global.Tree

8. #### def NameClashError(sym: Global.Symbol, arg: Global.Tree)(implicit context: Analyzer.Context): Unit

9. #### def PositionalAfterNamedNamesDefaultError(arg: Global.Tree)(implicit context: Analyzer.Context): Global.Tree

10. #### def UnknownParameterNameNamesDefaultError(arg: Global.Tree, name: Global.Name)(implicit context: Analyzer.Context): Global.Tree

11. #### def WarnAfterNonSilentRecursiveInference(param: Global.Symbol, arg: Global.Tree)(implicit context: Analyzer.Context): Unit

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped